# Functor_String.h File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE_export.h"`
`#include "ace/SStringfwd.h"`
`#include "ace/Functor_String.inl"`

Include dependency graph for Functor_String.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Equal_To< ACE_CString >
| Function object for determining whether two ACE_CStrings are equal. More...
class | ACE_Hash< ACE_CString >
| Function object for hashing a ACE_CString. More...
class | ACE_Less_Than< ACE_CString >
| Function object for determining whether the first const string is less than the second const string. More...

## Detailed Description

Id
  Functor_String.h,v 4.7 2005/11/24 09:48:54 ossama Exp

Class template specializations for ACE_*String types implementing function objects that are used in various places in ATC. They could be placed in Functor.h. But we don't want to couple string types to the rest of ACE+TAO. Hence they are placed in a seperate file.